# Form implementation generated from reading ui file 'src/eric7/MicroPython/WifiDialogs/WifiNetworksWindow.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_WifiNetworksWindow(object):
    def setupUi(self, WifiNetworksWindow):
        WifiNetworksWindow.setObjectName("WifiNetworksWindow")
        WifiNetworksWindow.resize(650, 600)
        self.verticalLayout = QtWidgets.QVBoxLayout(WifiNetworksWindow)
        self.verticalLayout.setObjectName("verticalLayout")
        self.networkList = QtWidgets.QTreeWidget(parent=WifiNetworksWindow)
        self.networkList.setAlternatingRowColors(True)
        self.networkList.setSelectionMode(QtWidgets.QAbstractItemView.SelectionMode.NoSelection)
        self.networkList.setRootIsDecorated(False)
        self.networkList.setItemsExpandable(False)
        self.networkList.setObjectName("networkList")
        self.verticalLayout.addWidget(self.networkList)
        self.statusLabel = QtWidgets.QLabel(parent=WifiNetworksWindow)
        self.statusLabel.setObjectName("statusLabel")
        self.verticalLayout.addWidget(self.statusLabel)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.scanButton = QtWidgets.QPushButton(parent=WifiNetworksWindow)
        self.scanButton.setObjectName("scanButton")
        self.horizontalLayout.addWidget(self.scanButton)
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout.addItem(spacerItem)
        self.label = QtWidgets.QLabel(parent=WifiNetworksWindow)
        self.label.setObjectName("label")
        self.horizontalLayout.addWidget(self.label)
        self.intervalSpinBox = QtWidgets.QSpinBox(parent=WifiNetworksWindow)
        self.intervalSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.intervalSpinBox.setMinimum(5)
        self.intervalSpinBox.setMaximum(120)
        self.intervalSpinBox.setProperty("value", 15)
        self.intervalSpinBox.setObjectName("intervalSpinBox")
        self.horizontalLayout.addWidget(self.intervalSpinBox)
        self.periodicCheckBox = QtWidgets.QCheckBox(parent=WifiNetworksWindow)
        self.periodicCheckBox.setObjectName("periodicCheckBox")
        self.horizontalLayout.addWidget(self.periodicCheckBox)
        self.verticalLayout.addLayout(self.horizontalLayout)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=WifiNetworksWindow)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Close)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(WifiNetworksWindow)
        self.buttonBox.rejected.connect(WifiNetworksWindow.close) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(WifiNetworksWindow)
        WifiNetworksWindow.setTabOrder(self.networkList, self.scanButton)

    def retranslateUi(self, WifiNetworksWindow):
        _translate = QtCore.QCoreApplication.translate
        WifiNetworksWindow.setWindowTitle(_translate("WifiNetworksWindow", "WiFi Networks"))
        self.networkList.setSortingEnabled(True)
        self.networkList.headerItem().setText(0, _translate("WifiNetworksWindow", "Name"))
        self.networkList.headerItem().setText(1, _translate("WifiNetworksWindow", "Channel"))
        self.networkList.headerItem().setText(2, _translate("WifiNetworksWindow", "MAC-Address"))
        self.networkList.headerItem().setText(3, _translate("WifiNetworksWindow", "RSSI [dBm]"))
        self.networkList.headerItem().setText(4, _translate("WifiNetworksWindow", "Security"))
        self.scanButton.setToolTip(_translate("WifiNetworksWindow", "Press to scan for available WiFi networks."))
        self.scanButton.setText(_translate("WifiNetworksWindow", "Scan"))
        self.label.setText(_translate("WifiNetworksWindow", "Scan Interval:"))
        self.intervalSpinBox.setToolTip(_translate("WifiNetworksWindow", "Enter the scan interval in seconds"))
        self.intervalSpinBox.setSuffix(_translate("WifiNetworksWindow", " s"))
        self.periodicCheckBox.setToolTip(_translate("WifiNetworksWindow", "Select to perform a periodic WiFi network scan"))
        self.periodicCheckBox.setText(_translate("WifiNetworksWindow", "Periodic Scan"))
